/**
 * output package name
 */
package com.kingdee.eas.xr.xrbase.client;

import java.awt.event.ActionEvent;

import org.apache.log4j.Logger;

import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
import com.kingdee.bos.ui.face.CoreUIObject;
import com.kingdee.eas.util.SysUtil;
import com.kingdee.eas.util.client.MsgBox;
import com.kingdee.eas.xr.xrbase.IXRDataBase;
import com.kingdee.eas.xr.xrbase.XRBizDataBaseInfo;

/**
 * output class name
 */
public class XRBizDataBaseListUI extends AbstractXRBizDataBaseListUI
{
    private static final Logger logger = CoreUIObject.getLogger(XRBizDataBaseListUI.class);
    
    /**
     * output class constructor
     */
    public XRBizDataBaseListUI() throws Exception
    {
        super();
    }

    /**
     * output storeFields method
     */
    public void storeFields()
    {
        super.storeFields();
    }
    
    public void actionEdit_actionPerformed(ActionEvent e) throws Exception {
    	super.actionEdit_actionPerformed(e);
    }
    
    public void actionRemove_actionPerformed(ActionEvent e) throws Exception {
    	super.actionRemove_actionPerformed(e);
    }

    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.xr.xrbase.XRBizDataBaseFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected com.kingdee.bos.dao.IObjectValue createNewData()
    {
    	com.kingdee.eas.xr.xrbase.XRBizDataBaseInfo objectValue =new com.kingdee.eas.xr.xrbase.XRBizDataBaseInfo();
		
        return objectValue;
    }
    

}